import sys

SYS_ARGS  = {'context':''}
if len(sys.argv) > 1:
	
	N = len(sys.argv)
	for i in range(1,N):
		value = None
		if sys.argv[i].startswith('--'):
			key = sys.argv[i][2:] #.replace('-','')
			
			SYS_ARGS[key] = 1			
			
			if i + 1 < N:
				value = sys.argv[i + 1] = sys.argv[i+1].strip()
			if key and value and not value.startswith('--'):
				SYS_ARGS[key] = value
				
		
		i += 2
